package com.zm.order.tool.server.model;

import java.util.Date;

/**
 * @author mybatis-generator
 * @date 2020/06/17
 */
public class UpdateUserId {
    /**
     * 主键
     */
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 之前userId
     */
    private Long beforeUserId;

    /**
     * 之后userId
     */
    private Long afterUserId;

    /**
     * 操作时间
     */
    private Date operateAt;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createdAt;

    /**
     * 修改时间
     */
    private Date updatedAt;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 删除标识
     */
    private Integer isDeleted;

    /**
     * 扩展信息 存入修前与修改后数据
     */
    private String features;

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getBeforeUserId() {
        return beforeUserId;
    }

    public void setBeforeUserId(Long beforeUserId) {
        this.beforeUserId = beforeUserId;
    }

    public Long getAfterUserId() {
        return afterUserId;
    }

    public void setAfterUserId(Long afterUserId) {
        this.afterUserId = afterUserId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Date getOperateAt() {
        return operateAt;
    }

    public void setOperateAt(Date operateAt) {
        this.operateAt = operateAt;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

    public String getFeatures() {
        return features;
    }

    public void setFeatures(String features) {
        this.features = features;
    }
}